#! /usr/bin/awk -f

# Írj olyan AWK scriptet, amely az ls kimenetéből kiszűri azokat az állományokat, melyeket 03-28 és 08-23 közötti időszakban hoztak létre! (év-hónap-nap formátum, év mindegy hogy mi) -> mivel a dátum nagyon változó tud lenni különböző Linux dsztribúciókon, ezért ajánlom, hogy a datum.txt szöveges állományt használd tesztelésre. 

{
	split($6, datum, "-")

	if(datum[2] == 3 && datum[3] >= 28) {
		print $6, $8	
	}
	else if(datum[2] == 8 && datum[3] <= 23) {
		print $6, $8
	}
	else if(datum[2] > 3 && datum[2] < 8) {
		print $6, $8
	}
}

#VAGY reguláris kifejezéssel:

$6~/0(([4-7]-..)|3-(2[89]|3[01])|8-(2[3-9]|3[01]))$/ {
	print "regex-szel: ", $6, $8
}
